Fog Creek Software
Discussion Board




Mac OS 10.3 - Installer Issue

The Fogbugz Installer quits after "Reading Packages," saying

"Fogbugz Cannot Be Installed on This Computer"
"Fogbugz requires PEAR"

Which is doubly confusing to me, since my PHP installation does indeed have PEAR, and the documentation says that PEAR will be installed if you don't have it (http://fogcreek.com/FogBUGZ/KB/setup/WhatSetupDoes-2.html).

I'm using packaged installations of Apache2, PHP4, and the PHP CLI from serverlogistics.com.

Robert Sayre
Friday, February 13, 2004

Pear must be installed such that if you type

'pear'

or

'/usr/local/php/bin/pear'

on the command line, that it runs.  If it cannot find the PEAR binary in your path, you need to add it to your path before installing.

FogBUGZ does not install PEAR itself, but merely a bunch of PEAR modules (if they are not installed).

Michael H. Pryor
Fog Creek Software
Friday, February 13, 2004

In that case, maybe this line should be adjusted:

"(If you don't have PEAR, the install script automatically downloads it and installs it)"

and PEAR on the path be added as a requirement.

Robert Sayre
Friday, February 13, 2004

Updated the "Is my server ready?" and the "What setup does?" docs...

Michael H. Pryor
Fog Creek Software
Friday, February 13, 2004

*  Recent Topics

*  Fog Creek Home